package com.fs.course.service;

import com.fs.course.domain.FsCourseSopLogs;
import com.fs.course.param.FsCourseSopLogsParam;
import com.fs.course.vo.FsCourseSopLogsCVOList;
import com.fs.course.vo.FsCourseSopLogsTVOList;

import java.util.List;

/**
 * 看课SOP  定时任务Service接口
 *
 * @author fs
 * @date 2024-09-04
 */
public interface IFsCourseSopLogsService
{
    /**
     * 查询看课SOP  定时任务
     *
     * @param id 看课SOP  定时任务主键
     * @return 看课SOP  定时任务
     */
    public FsCourseSopLogs selectFsCourseSopLogsById(Long id);

    /**
     * 查询看课SOP  定时任务列表
     *
     * @param fsSopLogs 看课SOP  定时任务
     * @return 看课SOP  定时任务集合
     */
    public List<FsCourseSopLogs> selectFsCourseSopLogsList(FsCourseSopLogs fsSopLogs);
    public List<FsCourseSopLogsCVOList> selectFsCourseSopLogsCVOList(FsCourseSopLogsParam param);

    /**
     * 新增看课SOP  定时任务
     *
     * @param fsSopLogs 看课SOP  定时任务
     * @return 结果
     */
    public int insertFsCourseSopLogs(FsCourseSopLogs fsSopLogs);

    /**
     * 修改看课SOP  定时任务
     *
     * @param fsSopLogs 看课SOP  定时任务
     * @return 结果
     */
    public int updateFsCourseSopLogs(FsCourseSopLogs fsSopLogs);

    /**
     * 批量删除看课SOP  定时任务
     *
     * @param ids 需要删除的看课SOP  定时任务主键集合
     * @return 结果
     */
    public int deleteFsCourseSopLogsByIds(Long[] ids);

    /**
     * 删除看课SOP  定时任务信息
     *
     * @param id 看课SOP  定时任务主键
     * @return 结果
     */
    public int deleteFsCourseSopLogsById(Long id);

    /**
    * 定时获取销售待发送消息
    */
    public  List<FsCourseSopLogsTVOList> selectCourseSopLogsTVOList(List<String> arrayList);


}
